attribute vec4 aPosition;
attribute vec4 aTextureCoord;
uniform mat4 texMatrix;
uniform mat4 vertexMatrix;
varying vec2 textureCoordinate;

void main() {
    gl_Position = vertexMatrix * aPosition;
    textureCoordinate = (texMatrix * aTextureCoord).xy;
}